IFAPI_POLICY_CTX Struct Reference

`#include <fapi_int.h>`

## Data Fields

enum IFAPI_STATE_POLICY | state
struct TPMS_POLICY | policy
size_t | digest_idx
size_t | hash_size
char ** | pathlist
TPMI_ALG_HASH | hash_alg
IFAPI_POLICY_EXEC_CTX * | policy_stack
IFAPI_POLICYUTIL_STACK * | util_current_policy
IFAPI_POLICYUTIL_STACK * | policyutil_stack
ESYS_TR | session
enum FAPI_CREATE_SESSION_STATE | create_session_state
char * | path
IFAPI_POLICY_EVAL_INST_CTX | eval_ctx

## Detailed Description

The data structure holding internal policy state.

## Field Documentation

## pathlist

char** pathlist

The array of all objects in the search path

## policy_stack

IFAPI_POLICY_EXEC_CTX* policy_stack

The stack used for storing current policy information. e.g. for retry the current index of policy elements hash to be stored.

## policyutil_stack

IFAPI_POLICYUTIL_STACK* policyutil_stack

The stack used for storing current policy information. e.g. for retry the current index of policy elements hash to be stored.

## session

ESYS_TR session

Auxiliary variable to store created policy session. The value will also be stored in the policy stack

The documentation for this struct was generated from the following file:

- src/tss2-fapi/fapi_int.h